Register an agent push runtime service
curl --request POST \
--url https://api.veryfront.com/agent-runtimes/push-services \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"service_name": "<string>",
"base_url": "<string>",
"service_key": "<string>",
"scope_kind": "global",
"project_reference": "<string>",
"project_id": "<string>",
"projectId": "<string>",
"agent_id": "<string>",
"invoke_url": "<string>",
"capabilities": {},
"metadata": {},
"version": "<string>",
"runtime": "<string>",
"region": "<string>"
}
'import requests
url = "https://api.veryfront.com/agent-runtimes/push-services"
payload = {
"service_name": "<string>",
"base_url": "<string>",
"service_key": "<string>",
"scope_kind": "global",
"project_reference": "<string>",
"project_id": "<string>",
"projectId": "<string>",
"agent_id": "<string>",
"invoke_url": "<string>",
"capabilities": {},
"metadata": {},
"version": "<string>",
"runtime": "<string>",
"region": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
service_name: '<string>',
base_url: '<string>',
service_key: '<string>',
scope_kind: 'global',
project_reference: '<string>',
project_id: '<string>',
projectId: '<string>',
agent_id: '<string>',
invoke_url: '<string>',
capabilities: {},
metadata: {},
version: '<string>',
runtime: '<string>',
region: '<string>'
})
};
fetch('https://api.veryfront.com/agent-runtimes/push-services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"service": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service_name": "<string>",
"service_key": "<string>",
"scope_key": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "<string>",
"base_url": "<string>",
"invoke_url": "<string>",
"version": "<string>",
"runtime": "<string>",
"region": "<string>",
"last_heartbeat_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"capabilities": null,
"metadata": null
}
}Register an agent push runtime service
Registers or refreshes a push-based agent runtime service endpoint. Project-scoped registrations require project.runtime.manage; global registrations require platform admin access.
POST
/
agent-runtimes
/
push-services
Register an agent push runtime service
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Body
application/json
Required string length:
1 - 128Required string length:
1 - 128Available options:
global, project Required string length:
1 - 128Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required string length:
1 - 128Required string length:
1 - 128Required string length:
1 - 128Response
201 - application/json
Agent push runtime service registered
Show child attributes
Show child attributes
⌘I